.Dd 2016-06-12
.Dt NCI-LIST-ASSIGNMENTS 1
.Os
.Sh NAME
.Nm nci-list-assignments
.Nd List available assignments associated to a particular course from a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and lists all assignments associated to the course
.Ar course-id .
For each assignment, its
.Em id ,
.Em name ,
.Em maximum point value
.Pq if present ,
and
.Em due date
.Pq if present
will be printed. For the formating, see
.Sx EXAMPLES .
.Pp
If assignment groups are in place, the assignments will be listed by
assignment group, and everything will be ordered as it is stored in
Canvas. For assignment groups, the
.Em id ,
.Em name ,
.Em weight
.Pq if present ,
and
.Em grading rules
.Pq if present
will be printed.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.El
.Sh EXAMPLES
.Dl % nci-list-assignments -c 1187637
.Dl 1560872 Homework (10.0%) (Drop 1 lowest)
.Dl \& \& 3957825 HW01 (10.0) due at 2016-01-29T04:59:59Z
.Dl \& \& 3966363 HW02 (10.0) due at 2016-02-10T04:59:59Z
.Dl \& \& 3966366 HW03 (10.0) due at 2016-02-20T04:59:59Z
.Dl 1560873 Projects (15.0%)
.Dl \& \& 3957826 Project 1 (25.0) due at 2016-02-16T04:59:59Z
.Dl \& \& 3966364 Project 2 (25.0) due at 2016-03-10T04:59:59Z
.Dl 1560874 Exams (40.0%)
.Dl \& \& 3969129 Exam 1 (100.0)
.Dl \& \& 4006476 Exam 2 (100.0)
.Dl 1560876 Final Exam (35.0%)
.Dl \& \& 4014963 Final (200.0)
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
